%define upstream_name    Class-Inner
%define upstream_version 0.200001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Class-Inner module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/Class-Inner
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
Class-Inner module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Class/*
%{_mandir}/*/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.200.1-10.mga9
+ Revision: 1802449
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.200.1-9.mga8
+ Revision: 1493547
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.200.1-8.mga7
+ Revision: 1266323
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.200.1-7.mga6
+ Revision: 1023971
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.200.1-6.mga6
+ Revision: 934206
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.200.1-5.mga5
+ Revision: 751188
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.1-4.mga5
+ Revision: 683919
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.200.1-3.mga4
+ Revision: 510116
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.200.1-2.mga3
+ Revision: 364392
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.200.1-1.mga1
+ Revision: 10005
- imported package perl-Class-Inner


* Sun Nov 22 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.1-1mdv2010.1
+ Revision: 468894
- update to 0.200001

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.1-7mdv2010.0
+ Revision: 430329
- rebuild

* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1-6mdv2009.0
+ Revision: 289445
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.1-3mdv2008.1
+ Revision: 136683
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Mar 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1-3mdv2007.1
+ Revision: 138899
- use the %%mkrel macro

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Class-Inner

* Sun Jan 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-2mdk
- rebuild

* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1-1mdk
- initial mandrake package

